Index: c/src/exec/rtems/include/rtems/rtems/message.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/message.h	(revision c13cd487ba4760febef62d4530da555d6ea3ffba)
+++ c/src/exec/rtems/include/rtems/rtems/message.h	(revision dd746c38b4c4399da30dbea28c0fc107e2a28247)
@@ -149,5 +149,5 @@
  *  message is based on the task queue discipline algorithm in
  *  use by this particular message queue.  If no tasks are waiting,
- *  then the message buffer will be placed at the rear of the
+ *  then the message buffer will be placed at the REAR of the
  *  chain of pending messages for this message queue.
  */
@@ -164,13 +164,9 @@
  *  DESCRIPTION:
  *
- *  This routine implements the rtems_message_queue_send directive.
- *  This directive sends the message buffer to the message queue
- *  indicated by ID.  If one or more tasks is blocked waiting
- *  to receive a message from this message queue, then one will
- *  receive the message.  The task selected to receive the
- *  message is based on the task queue discipline algorithm in
- *  use by this particular message queue.  If no tasks are waiting,
- *  then the message buffer will be placed at the rear of the
- *  chain of pending messages for this message queue.
+ *  This routine implements the rtems_message_queue_urgent directive.
+ *  This directive has the same behavior as rtems_message_queue_send
+ *  except that if no tasks are waiting, the message buffer will
+ *  be placed at the FRONT of the chain of pending messages rather
+ *  than at the REAR.
  */
 
@@ -186,13 +182,8 @@
  *  DESCRIPTION:
  *
- *  This routine implements the rtems_message_queue_send directive.
- *  This directive sends the message buffer to the message queue
- *  indicated by ID.  If one or more tasks is blocked waiting
- *  to receive a message from this message queue, then one will
- *  receive the message.  The task selected to receive the
- *  message is based on the task queue discipline algorithm in
- *  use by this particular message queue.  If no tasks are waiting,
- *  then the message buffer will be placed at the rear of the
- *  chain of pending messages for this message queue.
+ *  This routine implements the rtems_message_queue_broadcast directive.
+ *  This directive sends the message buffer to all of the tasks blocked
+ *  waiting for a message on the message queue indicated by ID.  
+ *  If no tasks are waiting, then the message buffer will not be queued.
  */
 
Index: cpukit/rtems/include/rtems/rtems/message.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/message.h	(revision c13cd487ba4760febef62d4530da555d6ea3ffba)
+++ cpukit/rtems/include/rtems/rtems/message.h	(revision dd746c38b4c4399da30dbea28c0fc107e2a28247)
@@ -149,5 +149,5 @@
  *  message is based on the task queue discipline algorithm in
  *  use by this particular message queue.  If no tasks are waiting,
- *  then the message buffer will be placed at the rear of the
+ *  then the message buffer will be placed at the REAR of the
  *  chain of pending messages for this message queue.
  */
@@ -164,13 +164,9 @@
  *  DESCRIPTION:
  *
- *  This routine implements the rtems_message_queue_send directive.
- *  This directive sends the message buffer to the message queue
- *  indicated by ID.  If one or more tasks is blocked waiting
- *  to receive a message from this message queue, then one will
- *  receive the message.  The task selected to receive the
- *  message is based on the task queue discipline algorithm in
- *  use by this particular message queue.  If no tasks are waiting,
- *  then the message buffer will be placed at the rear of the
- *  chain of pending messages for this message queue.
+ *  This routine implements the rtems_message_queue_urgent directive.
+ *  This directive has the same behavior as rtems_message_queue_send
+ *  except that if no tasks are waiting, the message buffer will
+ *  be placed at the FRONT of the chain of pending messages rather
+ *  than at the REAR.
  */
 
@@ -186,13 +182,8 @@
  *  DESCRIPTION:
  *
- *  This routine implements the rtems_message_queue_send directive.
- *  This directive sends the message buffer to the message queue
- *  indicated by ID.  If one or more tasks is blocked waiting
- *  to receive a message from this message queue, then one will
- *  receive the message.  The task selected to receive the
- *  message is based on the task queue discipline algorithm in
- *  use by this particular message queue.  If no tasks are waiting,
- *  then the message buffer will be placed at the rear of the
- *  chain of pending messages for this message queue.
+ *  This routine implements the rtems_message_queue_broadcast directive.
+ *  This directive sends the message buffer to all of the tasks blocked
+ *  waiting for a message on the message queue indicated by ID.  
+ *  If no tasks are waiting, then the message buffer will not be queued.
  */
 
